| Home | Libraries | People | FAQ | More

###### http::header::method (1 of 2 overloads)

Return the request-method verb.

###### Synopsis

    verb
    method() const;

###### Description

If the request-method is not one of the recognized verbs, `verb::unknown` is returned. Callers may use `method_string` to retrieve the exact text.

###### Remarks

This function is only available when `isRequest == true`.

###### See Also

`method_string`